<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <style>
        .image-to-show {
            width: 400px;
            height: 400px;
        }

        .images-wrapper {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

        .display-none {
            display: none;
        }

        .container {
            width: 600px;
            margin: 0 auto;
            border: 1px solid #000000;
            padding: 20px;
        }

    </style>

</head>
<body>

<div class="images-wrapper">
    <img src="./img/1.jpg" alt="image of game" class="image-to-show" />
    <img src="./img/2.jpg" alt="image of game" class="image-to-show display-none" />
    <img src="./img/3.JPG" alt="image of game" class="image-to-show display-none" />
    <img src="./img/4.png" alt="image of game" class="image-to-show display-none" />
</div>
<button id="stop">Stop</button>
<button id="resume">Resume</button>

<div class="container">
    <p>1. Опишите своими словами разницу между функциями setTimeout() и setInterval().</p>
    <p>Метод setInterval() производит выполнение функции регулярно с определенным интервалом. Метод setTimeout() выполняет функцию через указанное время.</p>
    <p>2. Что произойдет, если в функцию setTimeout() передать нулевую задержку? Сработает ли она мгновенно, и почему?</p>
    <p>Если в функцию setTimeout() передать нулевую задержку, то она будет определена планировщиком в стэке вызовов сразу после основного кода, поэтому она сработает сразу же после выполнения основного кода.</p>
    <p>3. Почему важно не забывать вызывать функцию clearInterval(), когда ранее созданный цикл запуска вам уже не нужен?</p>
    <p>Функцию clearInterval() важно вызывать, чтобы остановить регулярный цикл выполнения и не нагружать систему. Если этого не сделать, то функция setInterval() будет продолжать выполнение с определенным интервалом бесконечное кол-во раз. </p>

</div>


<script src="js/scripts.js"></script>
</body>
</html>